package com.yonge.cooleshow.biz.dal.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.yonge.cooleshow.biz.dal.dao.SysMessageConfigDao;
import com.yonge.cooleshow.biz.dal.entity.SysMessageConfig;
import com.yonge.cooleshow.biz.dal.enums.MessageTypeEnum;
import com.yonge.cooleshow.biz.dal.service.SysMessageConfigService;
import com.yonge.cooleshow.common.dal.BaseDAO;
import com.yonge.cooleshow.common.service.impl.BaseServiceImpl;

@Service
public class SysMessageConfigServiceImpl extends BaseServiceImpl<Long, SysMessageConfig>  implements SysMessageConfigService {
	
	@Autowired
	private SysMessageConfigDao sysMessageConfigDao;

	@Override
	public BaseDAO<Long, SysMessageConfig> getDAO() {
		return sysMessageConfigDao;
	}

	@Override
	public SysMessageConfig queryByType(MessageTypeEnum type) {
		return sysMessageConfigDao.queryByType(type.getCode());
	}
	
}